#filter-bar {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: flex-start;
    margin-bottom: 12px;
    transition: visibility 0.5s, opacity 0.5s, max-height 0.5s linear;
}

.filter-button,
.sort-button {
    font-family: inherit;
    border: 1px solid silver;
    background-color: white;
    color: black;
    border-radius: 4px;
    margin: 2px;
    padding: 6px;
}

.filter-button.disabled {
    background-color: rgb(230, 230, 230);
    /* color: gray; */
    /* border: 1px dashed gray; */

}

.pick-button {
    border: 2px solid black;
}

.filter-group {
    white-space: nowrap;
    display: flex-wrap;
}

.filter-single > .filter-button {
    margin: 0px;
    padding: 6px;
    border-radius: 0px;
    font-size: 0.9rem;
    border-right: none;
}

.filter-single > .filter-button:first-of-type {
    border-radius: 4px 0px 0px 4px;
}
.filter-single > .filter-button:last-of-type {
    border-radius: 0px 4px 4px 0px;
    border-right: 1px solid silver;
}

.filter-multi > .filter-button {
    margin-left: 2px;
    padding: 4px;
    border-radius: 4px;
    font-size: 0.9rem;

}


.filter-label {
    font-size: smaller;
    margin-left: 4px;
    padding: 6px 0px 6px 6px;
    border: 2px solid transparent
}

@media (max-width: 800px) {
    .filter-label {
        display: none;
    }

    .filter-group {
        justify-content: space-between;
        display: block;
        overflow-x: auto;
        scrollbar-width: none;
        ;
    }

    #filter-toggle, #filter-clear {
        margin-right: 6px;

    }
}

.filter-sort-panel {
    display: flex;
}

.filter-filter-panel {
    display: flex;
}

.filter-button-down {
    /* background-color: silver; */
    box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
    background-color: black;
    color: white;
}

#scroll-to-top {
    display: block;
    visibility: hidden;
    position: fixed;
    bottom: 2rem;
    right: 1rem;
    z-index: 99;
    border: none;
    outline: none;
    background-color: white;
    color: black;
    cursor: pointer;
    padding: 0px;
    border-radius: 3rem;
    font-size: 2.5rem;
    transition: visibility 0.5s, opacity 0.5s linear;
}


#filter-toggle, #filter-clear {
    white-space: wrap;
    display: flex;
    margin-top: 2px;
    background-color: white;
    color: black;
    cursor: pointer;
    padding: 1px;
    border-radius: 2rem;
    font-size: 1.5rem;
    border: 2px solid #666;
    height: 1.5rem;
}
#filter-clear {
    margin-left: 6px;
}
#filter-clear.disabled {
    border: 2px dashed silver;
    color: silver;
    cursor: default;
}